## xutils-dev-meego 7.6%2b3%2b0m6

=== debian/changelog ===
xutils-dev-meego (1:7.6+3+0m6) fremantle; urgency=low
  * Initial backport
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Wed, 02 May 2012 12:48:41 +0200

xutils-dev (1:7.6+3+0m6) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1:7.6+3+0m6

 -- BIFH Bot <sysint@maemo.research.nokia.com>  Sun, 27 Mar 2011 07:23:03 +0300

xutils-dev (1:7.6+3) unstable; urgency=low

  [ Robert Hooker ]
  * util-macros 1.13.0

  [ Cyril Brulebois ]
  * Add debian/versions, containing upstream to Debian version mappings,
    to ease lookups.
  * Install that file through dh_installdocs.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 27 Mar 2011 06:23:02 +0200

xutils-dev (1:7.6+2) unstable; urgency=low

  * Drop xutils-dev build-dep (Closes: #616033). This introduces
    bootstrapping issues, and its absence seems to only trigger a “Package
    xorg-macros was not found” message at configure time. It can easily be
    added back later if it becomes really required.
  * util-macros 1.12.0.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 07 Mar 2011 23:57:50 +0100

xutils-dev (1:7.6+1) unstable; urgency=low

  * xorg-cf-files 1.0.4.
  * Update debian/copyright with xorg-cf-files/COPYING.
  * Refresh 04_xutils-dev-debian.diff

 -- Cyril Brulebois <kibi@debian.org>  Sat, 08 Jan 2011 22:50:19 +0100

xutils-dev (1:7.5+5) unstable; urgency=low

  [ Julien Cristau ]
  * lndir 1.0.2.
  * util-macros 1.10.1.
  * Update debian/copyright from upstream COPYING.

  [ Cyril Brulebois ]
  * util-macros 1.11.0.
  * Wrap Build-Depends.
  * Add build-dep on xutils-dev for lndir.
  * makedepend 1.0.3.
  * Introduce SUBDIRS_CHECK where one can list packages which implement a
    testsuite. Put makedepend in it.
  * imake 1.0.4.
  * Drop 02_mkdirhier_rewrite.diff, no longer needed since upstream now
    just calls mkdir -p.
  * Add myself to Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 31 Oct 2010 16:35:25 +0100

xutils-dev (1:7.5+4) unstable; urgency=low

  [ Robert Hooker ]
  * util-macros 1.10.0.

  [ Julien Cristau ]
  * Bump Standards-Version to 3.9.0.
  * Drop Conflicts/Replaces/Provides on imake, makedepend, xorg-build-macros
    and xmkmf.  These packages are only in old ubuntu releases, and upgrades
    from dapper to maverick are not supported AFAIK.

 -- Julien Cristau <jcristau@debian.org>  Sun, 11 Jul 2010 14:41:22 +0100

xutils-dev (1:7.5+3) unstable; urgency=low

  * util-macros 1.7.0.
  * imake 1.0.3.
  * Drop 01_netbsd_imake.c_fixes.diff.  Doesn't apply, and Debian/NetBSD seems
    dead.
  * Rediff 04_xutils-dev-debian.diff.
  * Update imake section in debian/copyright from upstream COPYING.

 -- Julien Cristau <jcristau@debian.org>  Tue, 11 May 2010 14:31:01 +0200

xutils-dev (1:7.5+2) unstable; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders

  [ Brice Goglin ]
  * util-macros 1.5.0, closes: #568335.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 07 Feb 2010 11:41:23 +0100

xutils-dev (1:7.5+1) unstable; urgency=low

  * Add watch files and debian/rules target to download tarballs.
  * New upstream releases:
    - makedepend 1.0.2
    - util-macros 1.4.2
    - xorg-cf-files 1.0.3
  * Drop 07_cf_GNUArchitecture_for_GNU_kFreeBSD.diff, applied upstream.
  * Update debian/copyright from util-macros/COPYING.

 -- Julien Cristau <jcristau@debian.org>  Sat, 16 Jan 2010 15:41:40 +0000

xutils-dev (1:7.5~1) unstable; urgency=low

  * util-macros 1.3.0.
  * debian/rules: make sure we bail if one install command fails.
  * Drop obsolete Pre-Depends on x11-common.  Bump Standards-Version to 3.8.3.

 -- Julien Cristau <jcristau@debian.org>  Fri, 11 Sep 2009 22:49:22 +0200

xutils-dev (1:7.4+5) unstable; urgency=low

  * Don't call dh_makeshlibs, silences lintian warning.
  * Fix patches 01 and 02 to apply with -p1, to silence lintian.
  * util-macros 1.2.2.
  * Adjust debian/rules to parse space-separated DEB_BUILD_OPTIONS (policy
    3.8), move building each subdir to its own rule, and allow building in
    parallel.  Also call dh_install with --fail-missing to avoid building a
    broken package.
  * Bump Standards-Version to 3.8.2 due to the above change and the addition
    of README.source from xsfbs.

 -- Julien Cristau <jcristau@debian.org>  Sun, 02 Aug 2009 15:10:23 +0200

xutils-dev (1:7.4+4) unstable; urgency=low

  * util-macros 1.2.1.

 -- Julien Cristau <jcristau@debian.org>  Fri, 19 Dec 2008 13:34:41 +0100

xutils-dev (1:7.4+3) unstable; urgency=low

  * Add a mention of xorg-macros in the long description, so apt-cache search
    can find them.  Thanks, Eric Anholt!

 -- Julien Cristau <jcristau@debian.org>  Fri, 18 Jul 2008 20:01:34 +0200

xutils-dev (1:7.4+2) unstable; urgency=low

  * Extend 05_xaw_without_xp.diff to disable Xp from Xaw on hurd-i386
    and try to disable it for kfreebsd-i386 as well.
    Thanks Samuel Thibault, closes: #483093.
  * Add myself to Uploaders.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 13 Jun 2008 07:26:55 +0200

xutils-dev (1:7.4+1) unstable; urgency=low

  [ Timo Aaltonen ]
  * debian/control:
    - C/R/P: imake, makedepend, xorg-build-macros, xmkmf
      Change from ubuntu to help upgrades from their earlier releases.

  [ Julien Cristau ]
  * util-macros 1.1.6.
  * Add myself to Uploaders, remove Fabio and Branden with their permission.
  * Bump Standards-Version to 3.7.3 (no changes).
  * Add Vcs-* control fields.

 -- Julien Cristau <jcristau@debian.org>  Sat, 08 Mar 2008 02:57:06 +0100

xutils-dev (1:7.2.ds2-1) unstable; urgency=low

  [ Julien Cristau ]
  * [xorg-cf-files] Add patch from upstream git to define GNUArchitecture on
    GNU/kFreeBSD.  Thanks, Robert Millan (closes: #357582).

  [ Brice Goglin ]
  * [imake] Fix typo in 02_mkdirhier_rewrite.diff.
    Thanks, A. Costa (closes: #306690).

  [ Julien Cristau ]
  * Update makedepend to 1.0.1.
  * Upload to unstable.


