=== debian/control ===
Source: xutils-dev-meego
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Andres Salomon <dilinger@debian.org>, Brice Goglin <bgoglin@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: debhelper (>= 5.0.0), pkg-config, quilt, x11proto-core-dev, maemo-optify
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/git/pkg-xorg/app/xutils-dev
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/xutils-dev.git

Package: xutils-dev-meego
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cpp
Conflicts: xutils-dev
Provides: xutils-dev
Replaces: xutils-dev
Description: X Window System utility programs for development. Backport from MeeGo
 xutils-dev provides a set of utility programs shipped with the X Window System
 that do not require the X libraries; many of these programs are useful
 even on a system that does not have any X clients or X servers installed.
 .
 The programs in this package include:
  - ccmakedep, a version of makedepend which "does it right"
  - imake, a C preprocessor interface to the make utility;
  - lndir, a tool that creates a shadow directory of symbolic links to
    another directory tree;
  - makedepend, a tool to create dependencies in makefiles;
  - makeg, a tool for making debuggable executables.
 .
 This package also contains xorg-macros.m4, a set of macros used in configure
 scripts of X.Org packages.
